package demo.controller;

import demo.domain.Student;
import demo.service.StudentService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Controller;
import org.springframework.ui.Model;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.servlet.ModelAndView;
import org.springframework.web.servlet.View;

import java.util.List;
import java.util.Map;

@Controller
@RequestMapping("/student")
public class StudentController {
    @Autowired
    private StudentService studentService;

    @RequestMapping("/all")
    public ModelAndView all(ModelAndView modelAndView){
        List<Student> allStudent = studentService.findAllStudent();
        Map<String, Object> model = modelAndView.getModel();
        model.put("students",allStudent);
        modelAndView.setViewName("allStudent");
        System.out.println(allStudent);
        return modelAndView;
    }

    @RequestMapping("/add")
    public String add(Student student){
        studentService.addStudent(student);
        // 重定向到查询所有学生
        return "redirect:/student/all";
    }

}